Skip to main content

STU3 ClinicalImpression

The ClinicalImpression resource describes a "record of a clinical assessment performed to determine what problem(s) may affect the patient and before planning the treatments or management strategies that are best to manage a patient's condition" HL7 FHIR STU3 ClinicalImpression

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API ClinicalImpression resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support ClinicalImpression search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED Patient or group assessed

Custom Parameters

NameTypeDescription
enddateImpression start date/time
startdateImpression end date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/ClinicalImpression/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/567"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/ClinicalImpression?patient=Patient/567" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"